Cet article a fait l’objet d’une traduction automatique. Pour afficher l’article en anglais, activez la case d’option Anglais. Vous pouvez également afficher le texte anglais dans une fenêtre contextuelle en faisant glisser le pointeur de la souris sur le texte traduit.
Traduction
Anglais

Activer la prise en charge des agents de transport hérités

Exchange 2013
 

Sapplique à :Exchange Server 2013

Dernière rubrique modifiée :2015-03-09

Dans Microsoft Exchange Server 2013, les agents de transport qui ont été créés à l'aide de la version 4.0 de Microsoft .NET Framework sont pris en charge par défaut. Exchange 2013 prend en charge les agents de transport créés à l'aide des versions antérieures de .NET Framework, mais leur prise en charge n'est pas activée par défaut. Pour activer la prise en charge des agents de transports hérités, vous devez modifier le fichier de configuration de l'application XML approprié. Les fichiers que vous devez modifier diffèrent selon l'emplacement d'installation de l'agent de transport :

 

Serveur Fichiers de configuration de l'application Service Microsoft Windows

Serveur d'accès au client

%ExchangeInstallPath%Bin\MSExchangeFrontendTransport.exe.config

Transport frontal Microsoft Exchange (MSExchangeFrontendTransport)

Serveur de boîtes aux lettres

  • %ExchangeInstallPath%Bin\EdgeTransport.exe.config

  • %ExchangeInstallPath%Bin\MSExchangeTransport.exe.config

Transport Microsoft Exchange (MSExchangeTransport)

Des clés dans les fichiers de configuration de l'application permettent de contrôler la prise en charge des agents de transport hérités. Par défaut, aucune des clés requises ne figure dans les fichiers de configuration de l'application. Vous devez les ajouter manuellement. Le tableau suivant décrit chaque clé plus en détail.

 

Touche Description

useLegacyV2RuntimeActivationPolicy

Cette clé active ou désactive la prise en charge des agents de transport hérités. Les valeurs correctes pour cette clé sont true et false. Si cette clé n'est pas spécifiée, la valeur par défaut est false.

supportedRuntime version

Cette clé spécifie la version de Microsoft .NET Framework dont l'agent a besoin. Les valeurs valides pour cette clé sont les suivantes :

  • v4.0 ou v4.0.30319

  • v3.5 ou v3.5.21022

  • v3.0 ou v3.0.4506

  • v2.0 ou v2.0.50727

Vous spécifiez plusieurs valeurs en utilisant plusieurs instances distinctes de la clé supportedRuntime version.

Lorsque vous activez la prise en charge de l'agent de transport hérité à l'aide de la clé useLegacyV2RuntimeActivationPolicy, vous devez toujours spécifier la valeur v4.0 en plus des valeurs requises par l'agent de transport hérité.

  • Durée d'exécution estimée : 15 minutes

  • Les autorisations Exchange ne s'appliquent pas aux procédures de cette rubrique. Ces procédures sont exécutées dans le système d'exploitation du serveur Exchange.

  • Les modifications que vous enregistrez dans un fichier de configuration de l'application sont prises en compte après le redémarrage du service correspondant.

  • Lorsque vous redémarrez un service associé aux fichiers de configuration de l'application, le flux de messagerie du serveur est temporairement interrompu.

  • Les paramètres par serveur personnalisés de vos fichiers de configuration d’application XML Exchange, par exemple les fichiers web.config sur les serveurs d’accès au client ou le fichier EdgeTransport.exe.config sur les serveurs de boîtes aux lettres, seront remplacés lors de l’installation d’une mise à jour cumulative Exchange. Veuillez enregistrer ces informations pour configurer à nouveau votre serveur après l’installation. Vous devez reconfigurer ces paramètres après avoir installé une mise à jour cumulative Exchange.

  • Pour des informations sur les raccourcis clavier applicables aux procédures de cette rubrique, voir Raccourcis clavier dans Exchange 2013Raccourcis clavier dans le Centre d’administration Exchange.

ConseilConseil :
Vous rencontrez des difficultés ? Demandez de l’aide en participant aux forums Exchange. Visitez le forum à l’adresse : Exchange Server, Exchange Online ou Exchange Online Protection

Utilisez la procédure suivante pour activer la prise en charge des agents de transport hérités :

  1. Dans une fenêtre d'invite de commandes, sur le serveur Exchange 2013 sur lequel vous souhaitez configurer la prise en charge de l'agent de transport hérité, ouvrez le fichier de configuration de l'application dans le Bloc-notes en exécutant la commande suivante :

    Notepad %ExchangeInstallPath%Bin\<AppConfigFile>
    

    Par exemple, pour ouvrir le fichier EdgeTransport.exe.config sur un serveur de boîtes aux lettres, exécutez la commande suivante :

    Notepad %ExchangeInstallPath%Bin\EdgeTransport.exe.config
    
  2. Localisez la clé </configuration> à la fin du fichier et collez les clés suivantes avant la clé </configuration> :

    <startup useLegacyV2RuntimeActivationPolicy="true">
       <supportedRuntime version="v4.0" />
       <supportedRuntime version="v3.5" />
       <supportedRuntime version="v3.0" />
       <supportedRuntime version="v2.0" />
    </startup>
    
  3. Quand vous avez terminé, enregistrez et fermez le fichier de configuration de l'application.

  4. Répétez les étapes 1 à 3 pour modifier les autres fichiers de configuration de l'application.

  5. Redémarrez le service Windows associé en exécutant la commande suivante :

    net stop <service> && net start <service>
    

    Par exemple, si vous avez modifié le fichier EdgeTransport.exe.config, vous devez redémarrer le service de transport Microsoft Exchange en exécutant la commande suivante :

    net stop MSExchangeTransport && net start MSExchangeTransport
    
  6. Répétez l'étape 5 pour redémarrer les services associés aux autres fichiers de configuration de l'application modifiés.

Vous saurez que cette procédure fonctionne si l'agent de transport hérité s'installe correctement. Si vous essayez d'installer un agent de transport hérité sans suivre les procédures décrites dans cette rubrique, un message d'erreur similaire au suivant s'affiche :

Mixed mode assembly is built against version '<version>' of the runtime and cannot be loaded in the 4.0 runtime without additional configuration information.
 
Afficher: